// dashboard/order
import request from "@/utils/request";
//订单列表
export function getOrderList(data) {
  return request({
    url: "dashboard/order",
    method: "post",
    data
  });
}
//下单
export function shopping(data) {
  return request({
    url: "dashboard/delivery",
    method: "post",
    data
  });
}
//商品列表
export function getGoodsList(data) {
  return request({
    url: "dashboard/sku",
    method: "get",
    data
  });
}
//优惠券列表
export function getTicketList(data) {
  return request({
    url: "dashboard/ticket",
    method: "post",
    data
  });
}
//发放优惠券
export function generate_ticket(data) {
  return request({
    url: "dashboard/generate_ticket",
    method: "post",
    data
  });
}
//查询订单
export function order_query(data) {
  return request({
    url: "dashboard/order_query",
    method: "post",
    data
  });
}

//导出订单
export function export_order(data) {
  return request({
    url: "dashboard/order_export",
    method: "post",
    data,
    responseType: "arraybuffer"
  });
}

//订单统计
export function statistics_shopday(data) {
  return request({
    url: "dashboard/statistics/shopday",
    method: "post",
    data
  });
}

//查询优惠券
export function query_by_phone(data) {
  return request({
    url: "dashboard/ticket/query_by_phone",
    method: "post",
    data
  });
}

// 退款退券
export function refund(data) {
  return request({
    url: "dashboard/order/refunding",
    method: "post",
    data
  });
}
